Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.NormType

class petsc4py.PETSc.NormType

  Bases: `object`

  Norm type.

  Commonly used norm types:

  `N1`

    The one norm.

  `N2`

    The two norm.

  `FROBENIUS`

    The Frobenius norm.

  `INFINITY`

    The infinity norm.

  See also

  `NormType`

  Attributes Summary

  `FRB` | Constant `FRB` of type `int`
  `FROBENIUS` | Constant `FROBENIUS` of type `int`
  `INF` | Constant `INF` of type `int`
  `INFINITY` | Constant `INFINITY` of type `int`
  `MAX` | Constant `MAX` of type `int`
  `N1` | Constant `N1` of type `int`
  `N12` | Constant `N12` of type `int`
  `N2` | Constant `N2` of type `int`
  `NORM_1` | Constant `NORM_1` of type `int`
  `NORM_1_AND_2` | Constant `NORM_1_AND_2` of type `int`
  `NORM_2` | Constant `NORM_2` of type `int`
  `NORM_FROBENIUS` | Constant `NORM_FROBENIUS` of type `int`
  `NORM_INFINITY` | Constant `NORM_INFINITY` of type `int`
  `NORM_MAX` | Constant `NORM_MAX` of type `int`

  Attributes Documentation

  FRB: int = FRB

    Constant `FRB` of type `int`

  FROBENIUS: int = FROBENIUS

    Constant `FROBENIUS` of type `int`

  INF: int = INF

    Constant `INF` of type `int`

  INFINITY: int = INFINITY

    Constant `INFINITY` of type `int`

  MAX: int = MAX

    Constant `MAX` of type `int`

  N1: int = N1

    Constant `N1` of type `int`

  N12: int = N12

    Constant `N12` of type `int`

  N2: int = N2

    Constant `N2` of type `int`

  NORM_1: int = NORM_1

    Constant `NORM_1` of type `int`

  NORM_1_AND_2: int = NORM_1_AND_2

    Constant `NORM_1_AND_2` of type `int`

  NORM_2: int = NORM_2

    Constant `NORM_2` of type `int`

  NORM_FROBENIUS: int = NORM_FROBENIUS

    Constant `NORM_FROBENIUS` of type `int`

  NORM_INFINITY: int = NORM_INFINITY

    Constant `NORM_INFINITY` of type `int`

  NORM_MAX: int = NORM_MAX

    Constant `NORM_MAX` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)